PSTREE(1)

NOME
pstree - exibe uma árvore de processos

SINOPSE
pstree [-a, --arguments] [-c, --compact-not] [-C, --color attr] [-g, --show-pgids] [-h, --highlight-all, -H pid, --highlight-pid pid] [-l, --long] [-n, --numeric-sort] [-N, --ns-sort ns] [-p, --show-pids] [-s, --show-parents] [-S, --ns-changes] [-t, --thread-names] [-T, --hide-threads] [-u, --uid-changes] [-Z, --security-context] [-A, --ascii, -G, --vt100, -U, --unicode] [pid, user]
pstree -V, --version

DESCRIÇÃO
pstree mostra os processos em execução como uma árvore. A árvore está enraizada em pid ou init se pid for omitido. Se um nome de usuário for especificado, todas as árvores de processo enraizadas em processos pertencentes a esse usuário serão mostradas.

pstree mescla visualmente ramos idênticos colocando-os entre colchetes e prefixando-os com a contagem de repetição. Por exemplo:

    init-+-getty
         |-getty
         |-getty
         `-getty

se torna

    init---4*[getty]

Threads filhos de um processo são encontrados sob o processo pai e são mostrados com o nome do processo entre chaves. Por exemplo:

    icecast2---13*[{icecast2}]

Se pstree for chamado como pstree.x11, ele solicitará que o usuário no final da linha pressione Enter e não retornará até que isso aconteça. Isso é útil quando pstree é executado em um xterminal.

Certos parâmetros do kernel ou de montagem, como a opção hidepid para procfs, irão ocultar informações para alguns processos. Nessas situações, pstree tentará construir a árvore sem essas informações, mostrando os nomes dos processos como pontos de interrogação.

OPÇÕES

-a  Mostra os argumentos da linha de comando. Se a linha de comando de um processo for trocada, esse processo será mostrado entre parênteses. -a desativa implicitamente a compactação para processos, mas não para threads.

-A  Usa caracteres ASCII para desenhar a árvore.

-c  Desativa a compactação de subárvores idênticas. Por padrão, as subárvores são compactadas sempre que possível.

-C  Color the process name by given attribute. Currently pstree only accepts the value age which colors by process age. Processes newer than 60 seconds are green, newer than an hour yellow and the remaining red.

-g  Mostra PGIDs. Os IDs do grupo de processos são mostrados como números decimais entre parênteses após cada nome de processo. -g desativa implicitamente a compactação. Se os PIDs e os PGIDs forem exibidos, os PIDs serão mostrados primeiro.

-G  Usa caracteres VT100 no desenho de linhas.

-h  Realça o processo atual e seus ancestrais. Este é um ambiente autônomo se o terminal não suportar o realce ou se nem o processo atual nem qualquer um de seus ancestrais estiverem na subárvore sendo exibida.

-H  Como -h, mas realça o processo especificado. Ao contrário de -h, pstree falha ao usar -H se o realce não estiver disponível.

-l  Exibe linhas longas. Por padrão, as linhas são truncadas para a variável de ambiente COLUMNS ou para a largura da tela. Se nenhum desses métodos funcionar, o padrão de 132 colunas será usado.

-n  Classifica processos com o mesmo pai por PID em vez de por nome. (Classificação numérica.)

-N  Mostra árvores individuais para cada espaço de nomes do tipo especificado. Os tipos disponíveis são: ipc, mnt, net, pid, time, user, uts. Os usuários comuns não têm acesso às informações dos processos de outros usuários, então a saída será limitada.

-p  Mostra PIDs. Os PIDs são mostrados como números decimais entre parênteses após cada nome de processo. -p desabilita implicitamente a compactação.

-s  Mostra processos pais do processo especificado.

-S  Mostra transições de espaços de nomes. Como -N, a saída é limitada quando executado como um usuário comum.

-t  Mostra os nomes completos dos threads quando disponíveis.

-T  Oculta threads e só mostra processos.

-u  Mostra transições de uid. Sempre que o uid de um processo difere do uid de seu pai, o novo uid é mostrado entre parênteses após o nome do processo.

-U  Usa caracteres de desenho de linha UTF-8 (Unicode). No Linux 1.1-54 e superior, o modo UTF-8 é inserido no console com echo -e ' 33%8' e deixado com echo -e ' 33%@'.

-V  Exibe informação da versão.

-Z  Show the current security attributes of the process. For SELinux systems this will be the security context.

ARQUIVOS

/proc
    local do sistema de arquivos proc

BUGS
Alguns conjuntos de caracteres podem ser incompatíveis com os caracteres VT100.

VEJA TAMBÉM
ps(1), top(1), proc(5).